(define-module (solarpunk packages guile)
  #:use-module (gnu packages)
  #:use-module (gnu packages autotools)
  #:use-module (gnu packages guile)
  #:use-module (gnu packages guile-xyz)
  #:use-module (gnu packages pkg-config)
  #:use-module (gnu packages texinfo)
  #:use-module (guix build-system gnu)
  #:use-module (guix git-download)
  #:use-module (guix gexp)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (guix packages)
  #:use-module (srfi srfi-1))

(define-public guile-termenv
  (package
   (name "guile-termenv")
   (version "0.1")
   (source
    (origin
     (method git-fetch)
     (uri (git-reference
           (url "https://git.solarpunk.moe/solarpunk-guile/guile-termenv.git")
           (commit "v0.1-117d81d691")))
     (sha256
      (base32
       "06a4k8mj3i77141fzh0spa1fdv7fd095v2sir6lv43isapb9v96h"))))
   (build-system gnu-build-system)
   (arguments `())
   (native-inputs (list autoconf
			                  automake
			                  guile-hall
			                  pkg-config
			                  texinfo))
   (inputs (list guile-3.0))
   (synopsis "Guile port of termenv")
   (description
    "A library to provide easy control of terminals from Guile using terminal control codes.")
   (home-page "https://git.solarpunk.moe/solarpunk-guile/guile-termenv")
   (license license:gpl3+)))

(define-public guile-uniseg
  (package
   (name "guile-uniseg")
   (version "0.1")
   (source
    (origin
     (method git-fetch)
     (uri (git-reference
           (url "https://git.solarpunk.moe/solarpunk-guile/guile-uniseg.git")
           (commit "v0.1-50f8bb891d")))
     (sha256
      (base32
       "1kzbm9k9q370gywjy30vb1gmcsi1xdwijxa7hrk0afqmwd6258qf"))))
   (build-system gnu-build-system)
   (arguments `())
   (native-inputs
    (list autoconf automake pkg-config texinfo))
   (inputs (list guile-3.0))
   (synopsis "Guile library for utf-8 rune widths")
   (description
    "A library that provides guile character sets and operations to work with runes that are more than a single character width.")
   (home-page "https://git.solarpunk.moe/solarpunk-guile/guile-uniseg")
   (license license:gpl3+)))


(define-public guile-reflow
  (package
   (name "guile-reflow")
   (version "0.1")
   (source
    (origin
     (method git-fetch)
     (uri (git-reference
           (url "https://git.solarpunk.moe/solarpunk-guile/guile-reflow.git")
           (commit "v0.1-a365a82584")))
     (sha256
      (base32
       "1w6ss329iv1vqnqz1vs17z824fv6knc98497vdmhsnkki45f0bdh"))))
   (build-system gnu-build-system)
   (arguments `())
   (native-inputs
    (list autoconf automake pkg-config texinfo))
   (inputs (list guile-3.0))
   (propagated-inputs (list guile-uniseg))
   (synopsis "Guile port of reflow")
   (description
    "A library to provide easy text wrapping in consoles that preserves control-code formatting.")
   (home-page
    "https://git.solarpunk.moe/vv/guile-reflow")
   (license license:gpl3+)))
